<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ButtonBar?>
<?import javafx.scene.control.DatePicker?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.RadioButton?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.control.ToggleGroup?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>

<AnchorPane minHeight="600.0" minWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="vue.VueModifEnfantController">
   <children>
      <Text layoutX="179.0" layoutY="55.0" strokeType="OUTSIDE" strokeWidth="0.0" style="background-color: black;" text="Modification Enfant" textAlignment="CENTER" wrappingWidth="600.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0">
         <font>
            <Font size="18.0" />
         </font>
      </Text>
      <GridPane layoutY="111.0" prefHeight="269.0" prefWidth="600.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="10.0">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="294.0" minWidth="10.0" prefWidth="141.0" />
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="459.0" minWidth="10.0" prefWidth="459.0" />
        </columnConstraints>
        <rowConstraints>
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <Label alignment="CENTER_RIGHT" contentDisplay="RIGHT" text="Nom : " GridPane.halignment="RIGHT" GridPane.rowIndex="1">
               <font>
                  <Font size="18.0" />
               </font>
            </Label>
            <Label alignment="CENTER_RIGHT" contentDisplay="RIGHT" text="Prénom : " GridPane.halignment="RIGHT" GridPane.rowIndex="2">
               <font>
                  <Font size="18.0" />
               </font>
            </Label>
            <Label alignment="CENTER_RIGHT" contentDisplay="RIGHT" prefHeight="27.0" prefWidth="171.0" text="Date Naissance : " GridPane.halignment="RIGHT" GridPane.rowIndex="3">
               <font>
                  <Font size="18.0" />
               </font>
            </Label>
            <TextField fx:id="fieldNom" editable="false" GridPane.columnIndex="1" GridPane.rowIndex="1" />
            <TextField fx:id="fieldPrenom" GridPane.columnIndex="1" GridPane.rowIndex="2" />
            <DatePicker fx:id="fieldDateNaissance" promptText="Choisissez une Date" GridPane.columnIndex="1" GridPane.rowIndex="3" />
            <Label alignment="CENTER_RIGHT" contentDisplay="RIGHT" text="Sexe :" GridPane.halignment="RIGHT">
               <font>
                  <Font size="18.0" />
               </font>
            </Label>
            <RadioButton fx:id="buttonMasculin" mnemonicParsing="false" text="Masculin" GridPane.columnIndex="1">
               <toggleGroup>
                  <ToggleGroup fx:id="sexeToggle" />
               </toggleGroup>
            </RadioButton>
            <RadioButton fx:id="buttonFeminin" mnemonicParsing="false" text="Feminin" toggleGroup="$sexeToggle" GridPane.columnIndex="1" GridPane.halignment="CENTER" />
         </children>
      </GridPane>
      <ButtonBar layoutX="166.0" layoutY="518.0" prefHeight="37.0" prefWidth="212.0">
        <buttons>
            <Button mnemonicParsing="false" onAction="#updateContact" text="Modifier" />
            <Button mnemonicParsing="false" onAction="#close" style="-fx-background-color: red;" text="Annuler" />
        </buttons>
      </ButtonBar>
   </children>
</AnchorPane>
